all repos — dotfiles @ d3c47eb2c480bbedc4adc990c2ca0700f0178a26

linux dotfiles

added new scripts

- change-wall
- get-ep-walls - fetches top posts from r/earthporn
- फक - in case I फक up while changing keyboard layouts
Prithu Goswami prithugoswami524@gmail.com
Sat, 21 Dec 2019 09:34:44 +0530
commit

d3c47eb2c480bbedc4adc990c2ca0700f0178a26

parent

bcfc0f1df8bc96daf0c3701b392451c2ba5bea62

4 files changed, 22 insertions(+), 1 deletions(-)

jump to
M bin/cron/newsboat-cronbin/cron/newsboat-cron

@@ -10,7 +10,7 @@ if [ $count -gt 0 ]

then echo $count > $HOME/.config/newsboat/unread pkill -SIGRTMIN+10 i3blocks - notify-send -i feedreader "$count unread RSS feeds" + #notify-send -i feedreader "$count unread RSS feeds" elif [ $count -eq 0 ] then echo $count > $HOME/.config/newsboat/unread
A bin/scripts/change-wall

@@ -0,0 +1,5 @@

+#!/usr/bin/bash + +wallpath=$(echo "$HOME/pictures/ep/$(ls pictures/ep | shuf | head -1)") +feh --bg-fill $wallpath +cp $wallpath $HOME/desktop/walls/wall.jpg
A bin/scripts/get-ep-walls

@@ -0,0 +1,13 @@

+#!/bin/sh +epdir="$HOME/pictures/ep" +if [ -d $epdir ] +then + cd "$epdir" + wget reddit.com/r/earthporn.json || exit + cat earthporn.json | jq '.data.children[] .data.url' | tr -d '"' |\ + grep -E "jpg|png$" | xargs wget + rm *json +else + printf "$epdir doesn't exist\n" + exit +fi
A bin/scripts/फक

@@ -0,0 +1,3 @@

+#!/bin/sh +# incase I mess up +setxkbmap us